import request from '@/config/request';

const Api = {
    getRealData: '/getRealData',
    getCitys: '/getWeather',
    updateRealData: '/updateRealData',
    sendData: '/publish',
    getHistory: '/getHisData',
    historyDataDown: '/getHisDataDown',
    getLogsData: '/getLogInfo'
};

/** 查询运行数据 */
export const getRunData = (data: any) => {
    return request.post({
        url: Api.getRealData,
        data,
    });
};
/**查询城市 */

export const getCityData = (data: any) => {
    return request.post({
        url: Api.getCitys,
        data,
    });
};
/**修改 */
export const updateRealData = (data: any) => {
    return request.post({
        url: Api.updateRealData,
        data,
    });
};

/**下发 */
export const sendData = (data: any) => {
    return request.post({
        url: Api.sendData,
        data,
    });
};

/**查询历史 */
export const getSystemHistory = (data) => {
    return request.post({
        url: Api.getHistory,
        data,
    });
}
/**历史数据导出 */
export const histroyDownLoad = (data) => {
    return request.post({
        url: Api.historyDataDown,
        data,
        responseType: 'blob'
    });
}


/**查询日志 */
export const getLogs = (data) => {
    return request.post({
        url: Api.getLogsData,
        data,
    });
}



